%define name	httptunnel
%define version	3.3
%define release	5mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Creates bidirectional virtual data connections tunneled through HTTP.
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	hts.xinetd.bz2
Source2:	hts.init.bz2
Source3:	hts.sysconfig.bz2
URL:		http://www.nocrew.org/software/httptunnel.html
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-root
PreReq:		rpm-helper
Requires:	xinetd

%description
httptunnel creates a bidirectional virtual data path tunneled in HTTP
requests. The HTTP requests can be sent via an HTTP proxy if so desired. 
This can be useful for users behind restrictive firewalls. If WWW access
is allowed through a HTTP proxy, it's possible to use httptunnel and, say,
telnet or PPP to connect to a computer outside the firewall. 

httptunnel is written and maintained by Lars Brinkhoff. See the file
AUTHORS for more information about contributors to this package. 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
bzcat %{SOURCE1} > xinetd
bzcat %{SOURCE2} > init
bzcat %{SOURCE3} > sysconfig

%build
%configure
%make

%install
%makeinstall

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d

install -m 644 xinetd $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/hts
install -m 755 init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/hts
install -m 644 sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/hts

%post
%_post_service hts

%preun
%_preun_service hts

%postun
if [ "$1" -ge "1" ]; then
	%{_sysconfdir}/init.d/hts condrestart >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog DISCLAIMER FAQ HACKING INSTALL NEWS README TODO 
%config(noreplace) %{_sysconfdir}/xinetd.d/hts
%config(noreplace) %{_sysconfdir}/init.d/hts
%config(noreplace) %{_sysconfdir}/sysconfig/hts
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-5mdk
- prereq spec-helper (really)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-4mdk
- prereq spec-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-3mdk
- rebuild
- new rpm macros

* Fri Jul 19 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-2mdk
- fixed xinetd directory name typo

* Thu Jul 18 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-1mdk
- first mdk release, based on MacGyver's work <macgyver@tos.net>
